﻿local mod = RW:Boss("Rom'ogg Bonecrusher", "Party - Cataclysm", "Blackrock Caverns")
local L

mod.type = "party"

mod.BossIcon = [[Interface\ICONS\Achievement_Dungeon_BlackrockCaverns_Romogg Bonecrusher]]
mod.SubCatIcon = [[Interface\ICONS\achievement_dungeon_blackrockcaverns]]

---------------------------
-- Variables

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
	end
	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger(39665)
	self:SetWin()
	
	self:RegisterAlert("tWoundingDur", self:DurTargetTimer(6, 93452))
	self:RegisterAlert("mWounding", self:TargetMessage(93452))
	
	self:RegisterAlert("wChains", self:CastWarning(75539))
	
	self:RegisterAlert("tCrackerCast", self:CastTimer(12, 75543))
end

---------------------------
-- Locals

---------------------------
-- Start

function mod:OnEngage(trigger)
	self:Track("Wound", 93452, 75571)
	self:Track("Chains", 75539)
	self:Track("Cracker", 75543, 95324)
end

function mod:Wound(event, args)
	if event == "SPELL_AURA_APPLIED" then
		self:Call("mWounding", "Show", args.dName)
		if self:IsHeroic() then
			self:Call("tWoundingDur", "Start", 10, args.dName)
		else
			self:Call("tWoundingDur", "Start", 6, args.dName)
		end
	end
end

function mod:Chains(event, args)
	if event == "SPELL_CAST_START" then
		self:Call("wChains", "Show")
	end
end

function mod:Cracker(event, args)
	if event == "SPELL_CAST_START" then
		if self:IsHeroic() then
			self:Call("tCrackerCast", "Start", 10)
		else
			self:Call("tCrackerCast", "Start")
		end
	end
end
